#1889 NPE when redeploying root context

v3.2
closed-fixed
JBossWeb (123)
5
2014-08-12
2004-06-15
Jake Meier
No

A NullPointerException is occuring when redeploying an
ear file mapped to the root context (/) on 3.2.4. This
only seems to happen when there are persisted
exceptions. The following steps will reporduce the error:

1)Create an war and package it within an ear
2)Deploy the ear mapped to the default (/) context
3)Go to a jsp or action that puts a class into the
session context. This class must be found either in the
WEB-INF/classes or WEB-INF/lib of your war. Just
putting a String in the session will not reproduce the
error.
4)Touch the ear file in the deploy directory, or
rebuild it, so that it redeploys

Undeploy appears to go without a hitch, but then on
redeploy, I get the stack trace listed below. Please
note, I do not get this error if I remove the object
from the session prior to redeploying.

17:38:14,042 ERROR [BaseModelMBean] Exception invoking
method destroy
java.lang.NullPointerException
at
org.jboss.mx.loading.LoadMgr3.beginLoadTask(LoadMgr3.java:143)
at
org.jboss.mx.loading.UnifiedClassLoader3.loadClassImpl(UnifiedClassLoader3.java:178)
at
org.jboss.mx.loading.UnifiedClassLoader3.loadClass(UnifiedClassLoader3.java:132)
at java.lang.ClassLoader.loadClass(ClassLoader.java:235)
at
java.lang.ClassLoader.loadClassInternal(ClassLoader.java:302)
at java.lang.Class.getDeclaredMethods0(Native Method)
at
java.lang.Class.privateGetDeclaredMethods(Class.java:1647)
at java.lang.Class.getDeclaredMethod(Class.java:1254)
at
java.io.ObjectStreamClass.getPrivateMethod(ObjectStreamClass.java:1246)
at
java.io.ObjectStreamClass.access$1500(ObjectStreamClass.java:47)
at
java.io.ObjectStreamClass$3.run(ObjectStreamClass.java:348)
at java.security.AccessController.doPrivileged(Native
Method)
at java.io.ObjectStreamClass.(ObjectStreamClass.java:333)
at
java.io.ObjectStreamClass.lookup(ObjectStreamClass.java:253)
at
java.io.ObjectOutputStream.writeObject0(ObjectOutputStream.java:1010)
at
java.io.ObjectOutputStream.defaultWriteFields(ObjectOutputStream.java:1332)
at
java.io.ObjectOutputStream.writeSerialData(ObjectOutputStream.java:1304)
at
java.io.ObjectOutputStream.writeOrdinaryObject(ObjectOutputStream.java:1247)
at
java.io.ObjectOutputStream.writeObject0(ObjectOutputStream.java:1052)
at
java.io.ObjectOutputStream.writeObject(ObjectOutputStream.java:278)
at
org.apache.catalina.session.StandardSession.writeObject(StandardSession.java:1411)
at
org.apache.catalina.session.StandardSession.writeObjectData(StandardSession.java:899)
at
org.apache.catalina.session.StandardManager.doUnload(StandardManager.java:539)
at
org.apache.catalina.session.StandardManager.unload(StandardManager.java:485)
at
org.apache.catalina.session.StandardManager.stop(StandardManager.java:687)
at
org.apache.catalina.core.StandardContext.stop(StandardContext.java:4474)
at
org.apache.catalina.core.ContainerBase.destroy(ContainerBase.java:1213)
at
org.apache.catalina.core.StandardContext.destroy(StandardContext.java:4573)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native
Method)
at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:324)
at
org.apache.commons.modeler.BaseModelMBean.invoke(BaseModelMBean.java:503)
at
org.jboss.mx.server.RawDynamicInvoker.invoke(RawDynamicInvoker.java:109)
at
org.jboss.mx.server.MBeanServerImpl.invoke(MBeanServerImpl.java:473)
at
org.jboss.web.tomcat.tc5.TomcatDeployer.performDeployInternal(TomcatDeployer.java:140)
at
org.jboss.web.tomcat.tc5.TomcatDeployer.performDeploy(TomcatDeployer.java:68)
at
org.jboss.web.AbstractWebDeployer.start(AbstractWebDeployer.java:306)
at org.jboss.web.WebModule.startModule(WebModule.java:62)
at org.jboss.web.WebModule.startService(WebModule.java:40)
at
org.jboss.system.ServiceMBeanSupport.jbossInternalStart(ServiceMBeanSupport.java:271)
at
org.jboss.system.ServiceMBeanSupport.jbossInternalLifecycle(ServiceMBeanSupport.java:221)
at sun.reflect.GeneratedMethodAccessor93.invoke(Unknown
Source)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:324)
at
org.jboss.mx.server.ReflectedDispatcher.dispatch(ReflectedDispatcher.java:60)
at
org.jboss.mx.server.Invocation.dispatch(Invocation.java:61)
at
org.jboss.mx.server.Invocation.dispatch(Invocation.java:53)
at
org.jboss.mx.server.Invocation.invoke(Invocation.java:86)
at
org.jboss.mx.server.AbstractMBeanInvoker.invoke(AbstractMBeanInvoker.java:185)
at
org.jboss.mx.server.MBeanServerImpl.invoke(MBeanServerImpl.java:473)
at
org.jboss.system.ServiceController$ServiceProxy.invoke(ServiceController.java:837)
at $Proxy17.start(Unknown Source)
at
org.jboss.system.ServiceController.start(ServiceController.java:367)
at sun.reflect.GeneratedMethodAccessor6.invoke(Unknown
Source)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:324)
at
org.jboss.mx.server.ReflectedDispatcher.dispatch(ReflectedDispatcher.java:60)
at
org.jboss.mx.server.Invocation.dispatch(Invocation.java:61)
at
org.jboss.mx.server.Invocation.dispatch(Invocation.java:53)
at
org.jboss.mx.server.Invocation.invoke(Invocation.java:86)
at
org.jboss.mx.server.AbstractMBeanInvoker.invoke(AbstractMBeanInvoker.java:185)
at
org.jboss.mx.server.MBeanServerImpl.invoke(MBeanServerImpl.java:473)
at
org.jboss.mx.util.MBeanProxyExt.invoke(MBeanProxyExt.java:176)
at $Proxy31.start(Unknown Source)
at
org.jboss.web.AbstractWebContainer.start(AbstractWebContainer.java:313)
at
org.jboss.deployment.MainDeployer.start(MainDeployer.java:836)
at
org.jboss.deployment.MainDeployer.start(MainDeployer.java:828)
at
org.jboss.deployment.MainDeployer.deploy(MainDeployer.java:645)
at
org.jboss.deployment.MainDeployer.deploy(MainDeployer.java:608)
at sun.reflect.GeneratedMethodAccessor16.invoke(Unknown
Source)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:324)
at
org.jboss.mx.server.ReflectedDispatcher.dispatch(ReflectedDispatcher.java:60)
at
org.jboss.mx.server.Invocation.dispatch(Invocation.java:61)
at
org.jboss.mx.server.Invocation.dispatch(Invocation.java:53)
at
org.jboss.mx.server.Invocation.invoke(Invocation.java:86)
at
org.jboss.mx.server.AbstractMBeanInvoker.invoke(AbstractMBeanInvoker.java:185)
at
org.jboss.mx.server.MBeanServerImpl.invoke(MBeanServerImpl.java:473)
at
org.jboss.mx.util.MBeanProxyExt.invoke(MBeanProxyExt.java:176)
at $Proxy7.deploy(Unknown Source)
at
org.jboss.deployment.scanner.URLDeploymentScanner.deploy(URLDeploymentScanner.java:304)
at
org.jboss.deployment.scanner.URLDeploymentScanner.scan(URLDeploymentScanner.java:460)
at
org.jboss.deployment.scanner.AbstractDeploymentScanner$ScannerThread.doScan(AbstractDeploymentScanner.java:201)
at
org.jboss.deployment.scanner.AbstractDeploymentScanner$ScannerThread.loop(AbstractDeploymentScanner.java:212)
at
org.jboss.deployment.scanner.AbstractDeploymentScanner$ScannerThread.run(AbstractDeploymentScanner.java:191)

Discussion

  • Scott M Stark

    Scott M Stark - 2004-07-18

    Logged In: YES
    user_id=175228

    This has been fixed for 3.2.6RC1

     
  • Scott M Stark

    Scott M Stark - 2004-07-18
    • labels: 379132 --> JBossWeb
    • assigned_to: nobody --> starksm
    • status: open --> closed-fixed
     
  • cortesr

    cortesr - 2004-08-05

    Logged In: YES
    user_id=1067429

    I have this same exact error under 3.2.5 so I decided to
    download 3.2.6RC1 and I'm still getting the same error. Has
    anyone been able to get pass the LoadMgr3 NPE? Thanks.
    (stacktrace below)

    18:54:18,546 INFO [TomcatDeployer] deploy, ctxPath=,
    warUrl=file:/C:/jboss-3.2.6RC1/server/inwood/deploy/02inwood.ear/R
    OOT.war/
    18:54:18,687 ERROR [BaseModelMBean] Exception invoking
    method destroy
    java.lang.NullPointerException
    at
    org.jboss.mx.loading.LoadMgr3.beginLoadTask(LoadMgr3.java:143)
    at
    org.jboss.mx.loading.UnifiedClassLoader3.loadClassImpl(UnifiedClassLoader3.java:178)
    at
    org.jboss.mx.loading.UnifiedClassLoader3.loadClass(UnifiedClassLoader3.java:132)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:235)
    at
    java.lang.ClassLoader.loadClassInternal(ClassLoader.java:302)
    at sun.misc.Unsafe.defineClass(Native Method)
    at
    sun.reflect.ClassDefiner.defineClass(ClassDefiner.java:45)
    at
    sun.reflect.MethodAccessorGenerator$1.run(MethodAccessorGenerator.java:381)
    at
    java.security.AccessController.doPrivileged(Native Method)
    at
    sun.reflect.MethodAccessorGenerator.generate(MethodAccessorGenerator.java:377)
    at
    sun.reflect.MethodAccessorGenerator.generateSerializationConstructor(MethodAccessorGenerator.java:95)
    at
    sun.reflect.ReflectionFactory.newConstructorForSerialization(ReflectionFactory.java:301)
    at
    java.io.ObjectStreamClass.getSerializableConstructor(ObjectStreamClass.java:1191)
    at
    java.io.ObjectStreamClass.access$1300(ObjectStreamClass.java:47)
    at
    java.io.ObjectStreamClass$3.run(ObjectStreamClass.java:347)
    at
    java.security.AccessController.doPrivileged(Native Method)
    at
    java.io.ObjectStreamClass.<init>(ObjectStreamClass.java:333)
    at
    java.io.ObjectStreamClass.lookup(ObjectStreamClass.java:253)
    at
    java.io.ObjectOutputStream.writeObject0(ObjectOutputStream.java:1010)
    at
    java.io.ObjectOutputStream.writeObject(ObjectOutputStream.java:278)
    at java.util.ArrayList.writeObject(ArrayList.java:529)
    at
    sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at
    sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
    at
    sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
    at java.lang.reflect.Method.invoke(Method.java:324)
    at
    java.io.ObjectStreamClass.invokeWriteObject(ObjectStreamClass.java:809)
    at
    java.io.ObjectOutputStream.writeSerialData(ObjectOutputStream.java:1296)
    at
    java.io.ObjectOutputStream.writeOrdinaryObject(ObjectOutputStream.java:1247)
    at
    java.io.ObjectOutputStream.writeObject0(ObjectOutputStream.java:1052)
    at
    java.io.ObjectOutputStream.writeObject(ObjectOutputStream.java:278)
    at
    org.apache.catalina.session.StandardSession.writeObject(StandardSession.java:1411)
    at
    org.apache.catalina.session.StandardSession.writeObjectData(StandardSession.java:899)
    at
    org.apache.catalina.session.StandardManager.doUnload(StandardManager.java:539)
    at
    org.apache.catalina.session.StandardManager.unload(StandardManager.java:485)
    at
    org.apache.catalina.session.StandardManager.stop(StandardManager.java:687)
    at
    org.apache.catalina.core.StandardContext.stop(StandardContext.java:4474)
    at
    org.apache.catalina.core.ContainerBase.destroy(ContainerBase.java:1213)
    at
    org.apache.catalina.core.StandardContext.destroy(StandardContext.java:4573)
    at
    sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at
    sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
    at
    sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
    at java.lang.reflect.Method.invoke(Method.java:324)
    at
    org.apache.commons.modeler.BaseModelMBean.invoke(BaseModelMBean.java:503)
    at
    org.jboss.mx.server.RawDynamicInvoker.invoke(RawDynamicInvoker.java:109)
    at
    org.jboss.mx.server.MBeanServerImpl.invoke(MBeanServerImpl.java:473)
    at
    org.jboss.web.tomcat.tc5.TomcatDeployer.performDeployInternal(TomcatDeployer.java:140)
    at
    org.jboss.web.tomcat.tc5.TomcatDeployer.performDeploy(TomcatDeployer.java:68)
    at org.jboss.web.AbstractWebDeployer.start(Unknown
    Source)
    at org.jboss.web.WebModule.startModule(Unknown Source)
    at org.jboss.web.WebModule.startService(Unknown Source)
    at
    org.jboss.system.ServiceMBeanSupport.jbossInternalStart(ServiceMBeanSupport.java:271)
    at
    org.jboss.system.ServiceMBeanSupport.jbossInternalLifecycle(ServiceMBeanSupport.java:221)
    at
    sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at
    sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
    at
    sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
    at java.lang.reflect.Method.invoke(Method.java:324)
    at
    org.jboss.mx.server.ReflectedDispatcher.dispatch(ReflectedDispatcher.java:60)
    at
    org.jboss.mx.server.Invocation.dispatch(Invocation.java:61)
    at
    org.jboss.mx.server.Invocation.dispatch(Invocation.java:53)
    at
    org.jboss.mx.server.Invocation.invoke(Invocation.java:86)
    at
    org.jboss.mx.server.AbstractMBeanInvoker.invoke(AbstractMBeanInvoker.java:185)
    at
    org.jboss.mx.server.MBeanServerImpl.invoke(MBeanServerImpl.java:473)
    at
    org.jboss.system.ServiceController$ServiceProxy.invoke(ServiceController.java:837)
    at $Proxy9.start(Unknown Source)
    at
    org.jboss.system.ServiceController.start(ServiceController.java:367)
    at
    sun.reflect.GeneratedMethodAccessor14.invoke(Unknown Source)
    at
    sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
    at java.lang.reflect.Method.invoke(Method.java:324)
    at
    org.jboss.mx.server.ReflectedDispatcher.dispatch(ReflectedDispatcher.java:60)
    at
    org.jboss.mx.server.Invocation.dispatch(Invocation.java:61)
    at
    org.jboss.mx.server.Invocation.dispatch(Invocation.java:53)
    at
    org.jboss.mx.server.Invocation.invoke(Invocation.java:86)
    at
    org.jboss.mx.server.AbstractMBeanInvoker.invoke(AbstractMBeanInvoker.java:185)
    at
    org.jboss.mx.server.MBeanServerImpl.invoke(MBeanServerImpl.java:473)
    at
    org.jboss.mx.util.MBeanProxyExt.invoke(MBeanProxyExt.java:176)
    at $Proxy23.start(Unknown Source)
    at org.jboss.web.AbstractWebContainer.start(Unknown
    Source)
    at
    org.jboss.deployment.MainDeployer.start(MainDeployer.java:836)
    at
    org.jboss.deployment.MainDeployer.start(MainDeployer.java:828)
    at
    org.jboss.deployment.MainDeployer.deploy(MainDeployer.java:645)
    at
    org.jboss.deployment.MainDeployer.deploy(MainDeployer.java:608)
    at
    sun.reflect.GeneratedMethodAccessor4.invoke(Unknown Source)
    at
    sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
    at java.lang.reflect.Method.invoke(Method.java:324)
    at
    org.jboss.mx.server.ReflectedDispatcher.dispatch(ReflectedDispatcher.java:60)
    at
    org.jboss.mx.server.Invocation.dispatch(Invocation.java:61)
    at
    org.jboss.mx.server.Invocation.dispatch(Invocation.java:53)
    at
    org.jboss.mx.server.Invocation.invoke(Invocation.java:86)
    at
    org.jboss.mx.server.AbstractMBeanInvoker.invoke(AbstractMBeanInvoker.java:185)
    at
    org.jboss.mx.server.MBeanServerImpl.invoke(MBeanServerImpl.java:473)
    at
    org.jboss.mx.util.MBeanProxyExt.invoke(MBeanProxyExt.java:176)
    at $Proxy7.deploy(Unknown Source)
    at
    org.jboss.deployment.scanner.URLDeploymentScanner.deploy(URLDeploymentScanner.java:304)
    at
    org.jboss.deployment.scanner.URLDeploymentScanner.scan(URLDeploymentScanner.java:460)
    at
    org.jboss.deployment.scanner.AbstractDeploymentScanner$ScannerThread.doScan(AbstractDeploymentScanner.java:20
    1)
    at
    org.jboss.deployment.scanner.AbstractDeploymentScanner$ScannerThread.loop(AbstractDeploymentScanner.java:212)

    at
    org.jboss.deployment.scanner.AbstractDeploymentScanner$ScannerThread.run(AbstractDeploymentScanner.java:191)
    18:54:19,046 ERROR [WebModule] Starting failed
    jboss.web.deployment:war=ROOT.war,id=-1499640253
    org.jboss.deployment.DeploymentException: Error during
    deploy; - nested throwable: (RuntimeOperationsException:
    Exceptio
    n invoking method destroy
    Cause: java.lang.NullPointerException)
    at org.jboss.web.AbstractWebDeployer.start(Unknown
    Source)
    at org.jboss.web.WebModule.startModule(Unknown Source)
    at org.jboss.web.WebModule.startService(Unknown Source)
    at
    org.jboss.system.ServiceMBeanSupport.jbossInternalStart(ServiceMBeanSupport.java:271)
    at
    org.jboss.system.ServiceMBeanSupport.jbossInternalLifecycle(ServiceMBeanSupport.java:221)
    at
    sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at
    sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
    at
    sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
    at java.lang.reflect.Method.invoke(Method.java:324)
    at
    org.jboss.mx.server.ReflectedDispatcher.dispatch(ReflectedDispatcher.java:60)
    at
    org.jboss.mx.server.Invocation.dispatch(Invocation.java:61)
    at
    org.jboss.mx.server.Invocation.dispatch(Invocation.java:53)
    at
    org.jboss.mx.server.Invocation.invoke(Invocation.java:86)
    at
    org.jboss.mx.server.AbstractMBeanInvoker.invoke(AbstractMBeanInvoker.java:185)
    at
    org.jboss.mx.server.MBeanServerImpl.invoke(MBeanServerImpl.java:473)
    at
    org.jboss.system.ServiceController$ServiceProxy.invoke(ServiceController.java:837)
    at $Proxy9.start(Unknown Source)
    at
    org.jboss.system.ServiceController.start(ServiceController.java:367)
    at
    sun.reflect.GeneratedMethodAccessor14.invoke(Unknown Source)
    at
    sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
    at java.lang.reflect.Method.invoke(Method.java:324)
    at
    org.jboss.mx.server.ReflectedDispatcher.dispatch(ReflectedDispatcher.java:60)
    at
    org.jboss.mx.server.Invocation.dispatch(Invocation.java:61)
    at
    org.jboss.mx.server.Invocation.dispatch(Invocation.java:53)
    at
    org.jboss.mx.server.Invocation.invoke(Invocation.java:86)
    at
    org.jboss.mx.server.AbstractMBeanInvoker.invoke(AbstractMBeanInvoker.java:185)
    at
    org.jboss.mx.server.MBeanServerImpl.invoke(MBeanServerImpl.java:473)
    at
    org.jboss.mx.util.MBeanProxyExt.invoke(MBeanProxyExt.java:176)
    at $Proxy23.start(Unknown Source)
    at org.jboss.web.AbstractWebContainer.start(Unknown
    Source)
    at
    org.jboss.deployment.MainDeployer.start(MainDeployer.java:836)
    at
    org.jboss.deployment.MainDeployer.start(MainDeployer.java:828)
    at
    org.jboss.deployment.MainDeployer.deploy(MainDeployer.java:645)
    at
    org.jboss.deployment.MainDeployer.deploy(MainDeployer.java:608)
    at
    sun.reflect.GeneratedMethodAccessor4.invoke(Unknown Source)
    at
    sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
    at java.lang.reflect.Method.invoke(Method.java:324)
    at
    org.jboss.mx.server.ReflectedDispatcher.dispatch(ReflectedDispatcher.java:60)
    at
    org.jboss.mx.server.Invocation.dispatch(Invocation.java:61)
    at
    org.jboss.mx.server.Invocation.dispatch(Invocation.java:53)
    at
    org.jboss.mx.server.Invocation.invoke(Invocation.java:86)
    at
    org.jboss.mx.server.AbstractMBeanInvoker.invoke(AbstractMBeanInvoker.java:185)
    at
    org.jboss.mx.server.MBeanServerImpl.invoke(MBeanServerImpl.java:473)
    at
    org.jboss.mx.util.MBeanProxyExt.invoke(MBeanProxyExt.java:176)
    at $Proxy7.deploy(Unknown Source)
    at
    org.jboss.deployment.scanner.URLDeploymentScanner.deploy(URLDeploymentScanner.java:304)
    at
    org.jboss.deployment.scanner.URLDeploymentScanner.scan(URLDeploymentScanner.java:460)
    at
    org.jboss.deployment.scanner.AbstractDeploymentScanner$ScannerThread.doScan(AbstractDeploymentScanner.java:20
    1)
    at
    org.jboss.deployment.scanner.AbstractDeploymentScanner$ScannerThread.loop(AbstractDeploymentScanner.java:212)

     
  • Scott M Stark

    Scott M Stark - 2004-08-06

    Logged In: YES
    user_id=175228

    Yes, it works fine for me with jboss-3.2.6RC1 using the
    attached jmx-console.war which has been mapped to the root
    context. The /snoop.jsp page puts a org.test.SessionData
    into the session attributes and redeployment works:

    21:36:17,372 INFO [TomcatDeployer] undeploy, ctxPath=/,
    warUrl=file:/cvs/Releases/jboss-3.2.6RC1/server/973565/deploy/jmx-console.war/
    21:36:17,446 INFO [TomcatDeployer] deploy, ctxPath=/,
    warUrl=file:/cvs/Releases/jboss-3.2.6RC1/server/973565/deploy/jmx-console.war/
    21:38:23,141 INFO [TomcatDeployer] undeploy, ctxPath=/,
    warUrl=file:/cvs/Releases/jboss-3.2.6RC1/server/973565/deploy/jmx-console.war/
    21:38:48,462 INFO [TomcatDeployer] deploy, ctxPath=/,
    warUrl=file:/cvs/Releases/jboss-3.2.6RC1/server/973565/tmp/deploy/tmp13966jmx-console.war/
    21:39:18,732 INFO [TomcatDeployer] undeploy, ctxPath=/,
    warUrl=file:/cvs/Releases/jboss-3.2.6RC1/server/973565/tmp/deploy/tmp13966jmx-console.war/
    21:39:18,805 INFO [TomcatDeployer] deploy, ctxPath=/,
    warUrl=file:/cvs/Releases/jboss-3.2.6RC1/server/973565/tmp/deploy/tmp13967jmx-console.war/

    Attach an example war/ear which still exhibts the problem.

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks